<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-20;//era16
			 $larguraUtil=$maximoLAdobe-20;
			 $futer=$maximoHAdobe-15;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=180;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Line($margemEsquerda,1,$margemDireita,1);
             //$pdf->Rect($margemEsquerda,30,$larguraUtil,$futer-40);


			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);
			 $pdf->Cell($larguraUtil,6,utf8_decode('INFORMAÇÃO DE DIAGNOSE QUÍMICA DA SEMENTE'),1,1,'C',1);//lab nome
			 
			 $vetorCabecalho=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $y=5;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,$y,3,48,23,'JPG');
			 //echo("caminhofinal=$caminhoFinal<br>");
	         $pdf->SetFont('Times','B',9);
			 $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'C');//lab nome
			 $y+=5;$pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[4]),0,1,'C');//lab nome
 
            //VERIFICA SE TEM O OVALOR DE PMS JA GRAVADO NA REAN SENAO NADA FEITO
	        $user = new rean1();
			$user->extras_select =" where  rea_teste='PMS' AND rea_ficha=".$amostraLong ;
	        $user->selecionaTudo($user);
	        $PMS=0;
			while ($res = $user->retornaDados()):
			    $PMS=$res->rea_v1;
			endwhile;
			
			
			
			//SETOR DE IDENTIFICACAO DA AMOSTRA
			 //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
			$cota1=38; 
			//$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
	        $pdf->SetFont('Times','B',10);
            $pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(40,5,'Amostra:'.$amostra.'/'.$ano,1,0,'L');//amostra
		    $pdf->Cell(20,5,'PMS:'.$PMS,1,0,'L');//amostra
		    $pdf->Cell(130,5,utf8_decode('Requerente:'.$nome),1,1,'L');//
		    /*
			$pdf->Cell(50,5,'Lote:'.$lote,1,0,'L');//lote
		    $pdf->Cell(140,5,'Cultivar:'.$cultivar,1,1,'L');//
            */
			$pdf->SetFont('Arial','',10);
			$cota1+=5;
            $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,15);
            $pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell($larguraUtil,4,utf8_decode('Análise comparativa dos resultados químicos das sementes da amostra (em miligramas/ semente e '),0,1,'L');//amostra
		    $pdf->Cell($larguraUtil,4,utf8_decode('microgramas por sementes) com a estatística do banco de dados de analise químicas de sementes (> '),0,1,'L');//amostra
		    $pdf->Cell($larguraUtil,4,utf8_decode('4.500 analises), considerando as amostras com diagnose qualitativa de vigor (mais alto vigor, alto vigor é'),0,1,'L');//amostra
		    $pdf->Cell($larguraUtil,4,utf8_decode('médio vigor) > 75%.'),0,1,'L');//amostra
			$cota1+=5;
			$y+=5;
			 
			
			
			$pdf->setXY($margemEsquerda,$y+15);
			
			$objetocalculo=new calculos();
			$matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
			$campo100="";
			for($i=1;$i<=37;$i++):
			   $campo100=$campo100.$matrizResumo[$i].'x';
			endfor;
		    //$pdf->Cell(50,5,'campo100='.$campo100,1,1,'L');//amostra
			
			//vai preparar para mostrar os dados

			$vigor=$matrizResumo[11];
			$y+=15;

        //aqui captura a matriz com todos dados para criar todos graficos
        $matriz=$objetocalculo->leMatrizQuimica($amostraLong);
		$grupo=$matriz[1][14];
		//$matrizMedia=$objetocalculo->calculaMediaGrupo($grupo);
		
		$matrizMedia=$objetocalculo->matrizQuimicaComparacao();
		
  
  //primeiro o primeiro conjunto com dois graficos feito com o fator
        $cotaRaiz=140;
		$afastamentoLinhas=9;
		$fator=2;
		$linhas=9;
		$limite=$linhas*$fator;
		$pdf->SetFont('Arial','',7);
        //cria as linhas horizontais
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
		  $pdf->Line($margemEsquerda+19,$cota1,$margemEsquerda+60,$cota1);
		endfor;
		$guardaCotaMaxima=$cota1;
		$cotaInicio=$cota1;
        //coloca a abcissa a esquerda
		$pdf->Line($margemEsquerda+20,$cotaRaiz+1,$margemEsquerda+20,$cotaRaiz-9*$afastamentoLinhas);
		//coloca as legendas da cotas
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
          $pdf->setXY($margemEsquerda+14,$cota1-1);          
          $pdf->Cell(5,3,$i*$fator,0,0); 
		endfor;
        //coloca legenda abaixo da cota raiz
        $pdf->setXY($margemEsquerda+24,$cotaRaiz);          
        $pdf->Cell(45,5,'NITROGENIO        POTASSIO',0,0); 
        $pdf->setXY($margemEsquerda+24,$cotaRaiz+4);          
        $pdf->Cell(45,5,'         '.$matriz[1][1]."                     ".$matriz[1][2],0,0); 
		
		
        //////////////////////////////////////////////
        //vai comecar o for next para impimir os primeiros 2 graficos
        //sao 4 conjuntos de graficos e ele nao pode plotar fora da escala
		$vetorAfastamento[1]=29; 
        $vetorAfastamento[2]=50; 
		for($lupe=1;$lupe<=2;$lupe++):
			$AfastamentoHorizontal=$vetorAfastamento[$lupe];
	        //agora vou ler os valores e ajustar
	        $mediana=$matrizMedia[$lupe][3]*$afastamentoLinhas/$fator;
            $minimo=$matrizMedia[$lupe][1];
            $maximo=$matrizMedia[$lupe][5];
            //se a mediana for menor que o limite ai faz o grafico, caso contrario nao 
			if($matrizMedia[$lupe][1]<$limite):		
		        $q1=$matrizMedia[$lupe][2]*$afastamentoLinhas/$fator;		
		        $q3=$matrizMedia[$lupe][4]*$afastamentoLinhas/$fator;		
		        $delta1=$mediana-$q1;		
		        $delta3=$q3-$mediana;		
		        //vou jogar a parte inferior do retangilo (comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
		        $pdf->SetFillColor(10,220,10);
		        $pdf->Cell(8,$delta1," ",0,0,'C',1); 
		        //vou jogar a parte superior do retangulo(comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana-$delta3;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
				$pdf->SetFillColor(50,180,50);
		        $pdf->Cell(8,$delta3," ",0,0,'C',1); 
		        //vou jogar a mediana 		
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal,$cotaRaiz-$mediana,$AfastamentoHorizontal+18,$cotaRaiz-$mediana);
		        //vou jogar uma linhas centralizada na mediana	
				$abateMinimo=$minimo*$afastamentoLinhas/$fator;	
				$abateMaximo=$maximo*$afastamentoLinhas/$fator;	
				$cota1=$cotaRaiz-$abateMinimo;//esta é a de baixo
				$cota2=$cotaRaiz-$abateMaximo;//esta é a de cima
                //vai jogar a linha que vai do minimo ao maximo 
				if($cota2<$guardaCotaMaxima)$cota2=$guardaCotaMaxima;
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal+4,$cota1,$margemEsquerda+$AfastamentoHorizontal+4,$cota2);
				//calcula a cota da bolinha de nitrogenio
		        $ponto1=$PMS/1000*$matriz[1][$lupe];
		        $ponto1Formatado=number_format($ponto1,2,",",".");
				$abateY=$ponto1*$afastamentoLinhas/$fator;   
		        $cotaPonto=$cotaRaiz-$abateY-2;//este 2 ai é um ajuste fino    
		     	$caminhoFinal="Imagens/bolinhaQuimica.jpg";
				$pdf->Image($caminhoFinal,$AfastamentoHorizontal+12.4,$cotaPonto,2.9,2.9,'JPG');
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal+5,$cotaPonto);  
				        
		        $pdf->Cell(15,3,$ponto1Formatado,0,0); 
            endif;//examina se a maediana ficou dentro do limite
        endfor;

  //SEGUNDO  conjunto com 4 graficos feito com o fator
        $cotaRaiz=140;
		$afastamentoLinhas=10;
		$fator=0.5;
		$linhas=8;
		$limite=$linhas*$fator;
		$pdf->SetFont('Arial','',7);
        //cria as linhas horizontais
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
		  $pdf->Line($margemEsquerda+69,$cota1,$margemEsquerda+150,$cota1);
		endfor;
		$guardaCotaMaxima=$cota1;
		$cotaInicio=$cota1;
        //coloca a abcissa a esquerda
		$pdf->Line($margemEsquerda+70,$cotaRaiz+1,$margemEsquerda+70,$cotaRaiz-8*$afastamentoLinhas);
		//coloca as legendas da cotas
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
          $pdf->setXY($margemEsquerda+64,$cota1-1);          
          $pdf->Cell(5,3,$i*$fator,0,0); 
		endfor;
        //coloca legenda abaixo da cota raiz
        $pdf->setXY($margemEsquerda+77,$cotaRaiz);          
        $pdf->Cell(100,5,'FOSFORO            CALCIO               MAGNESIO          ENXOFRE',0,0);
		$pdf->setXY($margemEsquerda+77,$cotaRaiz+4);          
        $pdf->Cell(100,5,'         '.$matriz[1][3]
		    ."                     ".$matriz[1][4]
		    ."                          ".$matriz[1][5] 
		    ."                      ".$matriz[1][6],0,0); 
		
		 
        //////////////////////////////////////////////
        //vai comecar o for next para impimir os primeiros 2 graficos
        //sao 4 conjuntos de graficos e ele nao pode plotar fora da escala
        $vetorAfastamento[3]=80; 
        $vetorAfastamento[4]=100;
        $vetorAfastamento[5]=120;
        $vetorAfastamento[6]=140;
		for($lupe=3;$lupe<=6;$lupe++):
			$AfastamentoHorizontal=$vetorAfastamento[$lupe];
	        //agora vou ler os valores e ajustar
	        $mediana=$matrizMedia[$lupe][3]*$afastamentoLinhas/$fator;
            $minimo=$matrizMedia[$lupe][1];
            $maximo=$matrizMedia[$lupe][5];
            //se a mediana for menor que o limite ai faz o grafico, caso contrario nao 
			if($matrizMedia[$lupe][1]<$limite):		
		        $q1=$matrizMedia[$lupe][2]*$afastamentoLinhas/$fator;		
		        $q3=$matrizMedia[$lupe][4]*$afastamentoLinhas/$fator;		
		        $delta1=$mediana-$q1;		
		        $delta3=$q3-$mediana;		
		        //vou jogar a parte inferior do retangilo (comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
		        $pdf->SetFillColor(10,220,10);
		        $pdf->Cell(8,$delta1," ",0,0,'C',1); 
		        //vou jogar a parte superior do retangulo(comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana-$delta3;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
				$pdf->SetFillColor(50,180,50);
		        $pdf->Cell(8,$delta3,"  ",0,0,'C',1); 
		        //vou jogar a mediana 		
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal,$cotaRaiz-$mediana,$AfastamentoHorizontal+18,$cotaRaiz-$mediana);
		        //vou jogar uma linhas centralizada na mediana	
				$abateMinimo=$minimo*$afastamentoLinhas/$fator;	
				$abateMaximo=$maximo*$afastamentoLinhas/$fator;	
				$cota1=$cotaRaiz-$abateMinimo;//esta é a de baixo
				$cota2=$cotaRaiz-$abateMaximo;//esta é a de cima
                //vai jogar a linha que vai do minimo ao maximo 
				if($cota2<$guardaCotaMaxima)$cota2=$guardaCotaMaxima;
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal+4,$cota1,$margemEsquerda+$AfastamentoHorizontal+4,$cota2);
				//calcula a cota da bolinha de nitrogenio
		        $ponto1=$PMS/1000*$matriz[1][$lupe];
		        $ponto1Formatado=number_format($ponto1,2,",",".");
				$abateY=$ponto1*$afastamentoLinhas/$fator;   
		        $cotaPonto=$cotaRaiz-$abateY-2;//este 2 ai é um ajuste fino    
		     	$caminhoFinal="Imagens/bolinhaQuimica.jpg";
				$pdf->Image($caminhoFinal,$AfastamentoHorizontal+12.4,$cotaPonto,2.9,2.9,'JPG');
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal+5,$cotaPonto);          
		        $pdf->Cell(15,3,$ponto1Formatado,0,0); 
            endif;//examina se a maediana ficou dentro do limite
        endfor;


  //TERCEIRO o primeiro conjunto com dois graficos feito com o fator
      $cotaRaiz=245;
		$afastamentoLinhas=13.3;
		$fator=10;
		$linhas=6;
		$limite=$linhas*$fator;		
		$pdf->SetFont('Arial','',7);
        //cria as linhas horizontais
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
		  $pdf->Line($margemEsquerda+19,$cota1,$margemEsquerda+120,$cota1);
		endfor;
		$guardaCotaMaxima=$cota1;
		$cotaInicio=$cota1;
        //coloca a abcissa a esquerda
		$pdf->Line($margemEsquerda+20,$cotaRaiz+1,$margemEsquerda+20,$cotaRaiz-6*$afastamentoLinhas);
		//coloca as legendas da cotas
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
          $pdf->setXY($margemEsquerda+14,$cota1-1);          
          $pdf->Cell(5,3,$i*$fator,0,0); 
		endfor;

        //coloca legenda abaixo da cota raiz
        $pdf->setXY($margemEsquerda+25,$cotaRaiz);          
        $pdf->Cell(100,5,'BORO               COBRE             FERRO        MANGANES         ZINCO             SODIO',0,0); 
	  $pdf->setXY($margemEsquerda+25,$cotaRaiz+4);          
        $pdf->Cell(100,5,'     '.$matriz[1][7]
		    ."                    ".$matriz[1][8]
		    ."                  ".$matriz[1][9] 
		    ."                  ".$matriz[1][10] 
		    ."                  ".$matriz[1][11] 
		    ."                   ".$matriz[1][12],0,0); 
			
			
        //vai comecar o for next para impimir os 4 graficos
        $vetorAfastamento[7]=27; 
        $vetorAfastamento[8]=44;
        $vetorAfastamento[9]=61;
        $vetorAfastamento[10]=78;
        $vetorAfastamento[11]=95;
        $vetorAfastamento[12]=112;
		for($lupe=7;$lupe<=12;$lupe++):

			$AfastamentoHorizontal=$vetorAfastamento[$lupe];
	        //agora vou ler os valores e ajustar
	        $mediana=$matrizMedia[$lupe][3]*$afastamentoLinhas/$fator;
            $minimo=$matrizMedia[$lupe][1];
            $maximo=$matrizMedia[$lupe][5];
            //se a mediana for menor que o limite ai faz o grafico, caso contrario nao 
			if($matrizMedia[$lupe][1]<$limite):		
		        $q1=$matrizMedia[$lupe][2]*$afastamentoLinhas/$fator;		
		        $q3=$matrizMedia[$lupe][4]*$afastamentoLinhas/$fator;		
		        $delta1=$mediana-$q1;		
		        $delta3=$q3-$mediana;		
		        //vou jogar a parte inferior do retangilo (comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
		        $pdf->SetFillColor(10,220,10);
		        $pdf->Cell(8,$delta1," ",0,0,'C',1); 
		        //vou jogar a parte superior do retangulo(comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana-$delta3;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
				$pdf->SetFillColor(50,180,50);
		        $pdf->Cell(8,$delta3,"  ",0,0,'C',1); 
		        //vou jogar a mediana 		
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal,$cotaRaiz-$mediana,$AfastamentoHorizontal+18,$cotaRaiz-$mediana);
		        //vou jogar uma linhas centralizada na mediana	
				$abateMinimo=$minimo*$afastamentoLinhas/$fator;	
				$abateMaximo=$maximo*$afastamentoLinhas/$fator;	
				$cota1=$cotaRaiz-$abateMinimo;//esta é a de baixo
				$cota2=$cotaRaiz-$abateMaximo;//esta é a de cima
                //vai jogar a linha que vai do minimo ao maximo 
				if($cota2<$guardaCotaMaxima)$cota2=$guardaCotaMaxima;
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal+4,$cota1,$margemEsquerda+$AfastamentoHorizontal+4,$cota2);
				//calcula a cota da bolinha de nitrogenio
		        $ponto1=$PMS/1000*$matriz[1][$lupe];
		        $ponto1Formatado=number_format($ponto1,2,",",".");
				$abateY=$ponto1*$afastamentoLinhas/$fator;   
		        $cotaPonto=$cotaRaiz-$abateY-2;//este 2 ai é um ajuste fino    
		     	$caminhoFinal="Imagens/bolinhaQuimica.jpg";
				$pdf->Image($caminhoFinal,$AfastamentoHorizontal+12.4,$cotaPonto,2.9,2.9,'JPG');
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal+5,$cotaPonto);          
		        $pdf->Cell(15,3,$ponto1Formatado,0,0); 
            endif;//examina se a maediana ficou dentro do limite
        endfor;

  //QUARTO conjunto com dois graficos feito com o fator
       $cotaRaiz=245;
		$afastamentoLinhas=8;
		$fator=0.5;
	    $linhas=10;
		$limite=$linhas*$fator;		
		$pdf->SetFont('Arial','',7);
        //cria as linhas horizontais
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
		  $pdf->Line($margemEsquerda+135,$cota1,$margemEsquerda+160,$cota1);
		endfor;
		$guardaCotaMaxima=$cota1;
		$cotaInicio=$cota1;
        //coloca a abcissa a esquerda
		$pdf->Line($margemEsquerda+136,$cotaRaiz+1,$margemEsquerda+136,$cotaRaiz-10*$afastamentoLinhas);
		//coloca as legendas da cotas
		for($i=0;$i<=$linhas;$i++):
          $cota1=$cotaRaiz-$i*$afastamentoLinhas;
          $pdf->setXY($margemEsquerda+131,$cota1-1);          
          $pdf->Cell(5,3,$i*$fator,0,0); 
		endfor;
        //coloca legenda abaixo da cota raiz
        $pdf->setXY($margemEsquerda+140,$cotaRaiz);          
        $pdf->Cell(100,5,'MOLIBDENIO',0,0);
		$pdf->setXY($margemEsquerda+140,$cotaRaiz+4);          
        $pdf->Cell(100,5,'        '.$matriz[1][13],0,0);  

        //vai comecar o for next para impimir os 4 graficos
  
        $vetorAfastamento[13]=147;
		for($lupe=13;$lupe<=13;$lupe++):

			$AfastamentoHorizontal=$vetorAfastamento[$lupe];
	        //agora vou ler os valores e ajustar
	        $mediana=$matrizMedia[$lupe][3]*$afastamentoLinhas/$fator;
            $minimo=$matrizMedia[$lupe][1];
            $maximo=$matrizMedia[$lupe][5];
            //se a mediana for menor que o limite ai faz o grafico, caso contrario nao 
			if($matrizMedia[$lupe][1]<$limite):		
		        $q1=$matrizMedia[$lupe][2]*$afastamentoLinhas/$fator;		
		        $q3=$matrizMedia[$lupe][4]*$afastamentoLinhas/$fator;		
		        $delta1=$mediana-$q1;		
		        $delta3=$q3-$mediana;		
		        //vou jogar a parte inferior do retangilo (comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
		        $pdf->SetFillColor(10,220,10);
		        $pdf->Cell(8,$delta1," ",0,0,'C',1); 
		        //vou jogar a parte superior do retangulo(comeca na media e com altura delta 1)
				$cota1=$cotaRaiz-$mediana-$delta3;
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal,$cota1);          
				$pdf->SetFillColor(50,180,50);
		        $pdf->Cell(8,$delta3,"  ",0,0,'C',1); 
		        //vou jogar a mediana 		
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal,$cotaRaiz-$mediana,$AfastamentoHorizontal+18,$cotaRaiz-$mediana);
		        //vou jogar uma linhas centralizada na mediana	
				$abateMinimo=$minimo*$afastamentoLinhas/$fator;	
				$abateMaximo=$maximo*$afastamentoLinhas/$fator;	
				$cota1=$cotaRaiz-$abateMinimo;//esta é a de baixo
				$cota2=$cotaRaiz-$abateMaximo;//esta é a de cima
				if($cota2<$guardaCotaMaxima)$cota2=$guardaCotaMaxima;
                //vai jogar a linha que vai do minimo ao maximo 
				$pdf->Line($margemEsquerda+$AfastamentoHorizontal+4,$cota1,$margemEsquerda+$AfastamentoHorizontal+4,$cota2);
				//calcula a cota da bolinha de nitrogenio
		        $ponto1=$PMS/1000*$matriz[1][$lupe];
		        $ponto1Formatado=number_format($ponto1,2,",",".");
				$abateY=$ponto1*$afastamentoLinhas/$fator;   
		        $cotaPonto=$cotaRaiz-$abateY-2;//este 2 ai é um ajuste fino    
		     	$caminhoFinal="Imagens/bolinhaQuimica.jpg";
				$pdf->Image($caminhoFinal,$AfastamentoHorizontal+12.4,$cotaPonto,2.9,2.9,'JPG');
		        $pdf->setXY($margemEsquerda+$AfastamentoHorizontal+5,$cotaPonto);          
		        $pdf->Cell(15,3,$ponto1Formatado,0,0); 
            endif;//examina se a maediana ficou dentro do limite
        endfor;



       //RODAPE
	   $pdf->SetFont("Arial","I",7);
       $pdf->setXY($margemEsquerda,$futer);
	   $pdf->Cell(15,3,"SilasNet(34)3212.6384",0,0); 
  
ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
